<template>
  <div :class="$style['toggle']">
    <div
      v-for="option in options"
      :key="option.value"
      :class="$style['option']"
      :active="selected === option.value"
      tabindex="0"
      @click="$emit('toggle', option.value, $event)"
    >
      {{ option.label }}
    </div>
  </div>
</template>

<script lang="ts">
import {
  defineComponent,
} from "@nuxtjs/composition-api";

export default defineComponent({
  name: "AmsToggle",

  props: {
    options: {
      type: Array,
      default: () => [],
    },
    selected: {
      type: String,
      default: "",
    },
  },
});
</script>

<style lang="postcss" module>
.toggle {
  @apply inline-flex;

  .option {
    @apply flex items-center justify-center bg-white py-3 px-4 w-20 text-blue-700 font-bold cursor-pointer;

    &:hover {
      @apply bg-blue-700 text-white opacity-50;
    }

    &[active] {
      @apply bg-blue-700 text-white;
    }
  }
}
</style>
